import { AsyncIterator, BufferedIterator, BufferedIteratorOptions } from "asynciterator";
/**
 * An iterator that takes elements from a given set of iterators in a round-robin manner.
 *
 * Based on LDF client's UnionIterator:
 * https://github.com/LinkedDataFragments/Client.js/blob/master/lib/sparql/UnionIterator.js
 */
export declare class RoundRobinUnionIterator<T> extends BufferedIterator<T> {
    protected readonly sources: AsyncIterator<T>[];
    protected currentSource: number;
    protected attachedListeners: boolean;
    constructor(sources: AsyncIterator<T>[], options?: BufferedIteratorOptions);
    _read(count: number, done: () => void): void;
}
